Bug 11931 - User and Group quota fetching is broken on ufs/FreeBSD
User and Group quota fetching is broken on ufs/FreeBSD
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.4.3
All FreeBSD
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-21 19:22 UTC by Uri Simchoni
Modified: 2016-06-01 07:41 UTC (History)
3 users (show)

See Also:


Attachments
git-am fix for 4.4.next and 4.3.next (1.16 KB, patch)
2016-05-24 17:20 UTC, Uri Simchoni
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uri Simchoni 2016-05-21 19:22:43 UTC
Fetching user/group quota on FreeBSD (and any other system that uses the sysquotas_4B interface EXCEPT Darwin), is broken. It always shows as if the user/group has no quota limits assigned to it.

This affects both utilities such as smbcquotas and other clients which directly attempt to show quotas, but more importantly affects the free-disk reporting, which is used by some clients (such as Windows Explorer) to avoid trying to copy files if it's known that there's no room.

One way to reproduce is to set a user quota smaller than disk size, list files in a folder using smbclient and see that the reported disk size is not the quota.
Comment 1 Uri Simchoni 2016-05-24 17:20:59 UTC
Created attachment 12130 [details]
git-am fix for 4.4.next and 4.3.next
Comment 2 Jeremy Allison 2016-05-24 20:06:13 UTC
Comment on attachment 12130 [details]
git-am fix for 4.4.next and 4.3.next

LGTM.
Comment 3 Jeremy Allison 2016-05-24 20:06:38 UTC
Re-assigning to Karolin for inclusion in 4.4.next, 4.3.next.
Comment 4 Karolin Seeger 2016-05-30 09:47:37 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-[3|4]-test.
Comment 5 Karolin Seeger 2016-06-01 07:41:42 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!